Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 3 of 3

Thread: New MacOS breaks Teensyduino

  1. #1

    New MacOS breaks Teensyduino

    Hello! I've been searching these boards for 30 minutes for the answer to this (I'm sure it's fairly basic) but I've been running Arduino / Teensyduino successfully for a few years on my MacBook Pro with Mojave. I decided to upgrade to Catalina today (10.15.7) and my old sketches wouldn't open. Maybe it was a documents permissions issue but I decided a fresh install of Teensyduino couldn't hurt. Now when I open my sketches (even the most basic example Teensy sketches for USB.MIDI) they won't compile.

    I'm sure it has to do with a missing library or something but I'm not sure what's where at this point. I can see all my sketches from before but I can't get them to compile (like it's not seeing the Teensy functions) because it throws an error on anything that's native to Teensy.

    Thanks in advance for any ideas!

  2. #2
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    24,775
    Maybe you're trying to use a copy of Teensyduino installer you previously downloaded?

    Go to the Teensyduno download page. You'll see we have 2 downloads for MacOS.

    https://www.pjrc.com/teensy/td_download.html

    The older installer works from 10.7 to 10.14. The newer all-in-one package works from 10.10 to 11.x. Now that you've updated to 10.15, you can no longer use the old installer which only works up to 10.14.

  3. #3
    Thanks Paul. I don't think I had an old installer but maybe I downloaded the wrong one from the page? I just re-downloaded and installed and that took care of it. Thanks for your time!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •